﻿<%@ Page Language="c#" AutoEventWireup="False" CodeBehind="Settings.aspx.cs" Inherits="EPiServer.Optimizely.Web.Settings, EPiServer.Optimizely" Title="EPiServer Optimizely Add-On" %>

<%@ Import Namespace="EPiServer" %>
<%@ Register Assembly="EPiServer.UI" Namespace="EPiServer.UI.WebControls" TagPrefix="EPiServerUI" %>

<asp:Content ContentPlaceHolderID="HeaderContentRegion" runat="server">
</asp:Content>

<asp:Content ContentPlaceHolderID="FullRegion" runat="server">
    <div class="epi-contentContainer epi-padding">
        <div class="epi-contentArea">
            <h1 class="EP-prefix">
                <%= Translate("/optimizely/admin/displayname")%>
            </h1>

            <asp:ValidationSummary runat="server" CssClass="EP-validationSummary" />
            <asp:Panel ID="MessagePanel" runat="server" Visible="false" />
        </div>
               
        <asp:Panel runat="server" class="epi-formArea">
            <p class="EP-systemInfo">
                <%= Translate("/optimizely/admin/description")%>
            </p>
            <div class="epi-size10">
                <asp:Label AssociatedControlID="txtProjectId" runat="server"><%# Translate("/optimizely/admin/projectid") %></asp:Label>
                <asp:TextBox ID="txtProjectId" runat="server" MaxLength="255" CssClass="episize300" Text="<%# ProjectId %>" />
		        <asp:RegularExpressionValidator runat="server" ErrorMessage='<%# Translate("/optimizely/admin/message/invalidprojectid")%>'
		            ControlToValidate="txtProjectId" ValidationExpression="^[0-9a-zA-Z\-_]*$" SetFocusOnError="True" Display="None" EnableClientScript="False" />
            </div>
            <p>
                <span class="epi-cmsButton">
                    <asp:Button runat="server" ID="Save" OnClick="Save_Click" CssClass="epi-cmsButton-text epi-cmsButton-tools epi-cmsButton-Save" Text="<%$ Resources: EPiServer, optimizely.admin.save %>" />
                </span>
            </p>
        </asp:Panel>
    </div>
</asp:Content>

